This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535406 - (RHQ-2105) don't get a yellow error box if JMX server resource needs creds but doesn't have valid ones
don't get a yellow error box if JMX server resource needs creds but doesn't h...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
1.2
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-05-21 12:02 EDT by John Mazzitelli
Modified: 2014-05-05 16:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-05 16:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot (98.66 KB, image/png)
2010-10-27 07:47 EDT, Sunil Kondkar
no flags Details
Screenshot_Summary page (100.04 KB, image/png)
2010-10-28 07:01 EDT, Sunil Kondkar
no flags Details

  None (edit)
Description John Mazzitelli 2009-05-21 12:02:00 EDT
problem in JMX plugin I think.

start EAP JBossAS instance with this:

set JAVA_OPTS=%JAVA_OPTS% -Djboss.platform.mbeanserver -Dcom.sun.management.jmxremote.port=19988 -Dcom.sun.management.jmxremote.authenticate=true -Dcom.sun.management.jmxremote.ssl=false -Djavax.management.builder.initial=org.jboss.system.server.jmx.MBeanServerBuilderImpl -Dcom.sun.management.jmxremote.password.file=C:\mazz\jbossas\jmxremote.password

inventory this and see that you get a red JBossAS JVM child server under the EAP server.

Go to that red resource's inventory tab. Why don't I see a yellow error box saying the plugin config is bad? I think the JMX plugin is supposed to throw an invalid plugin exception but perhaps it isn't?
Comment 1 Red Hat Bugzilla 2009-11-10 15:57:55 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2105
Comment 2 wes hayutin 2010-02-16 11:57:52 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:02:48 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-08-25 12:09:46 EDT
ONQA per triage, test this and close if it is fixed, otherwise reopen.
Comment 5 Sunil Kondkar 2010-10-27 07:46:57 EDT
Tested on RHQ build#511

Started EAP JBoss instance(JBoss Server 5.0.0.)

set JAVA_OPTS=%JAVA_OPTS% -Djboss.platform.mbeanserver -Dcom.sun.management.jmxremote.port=19988 -Dcom.sun.management.jmxremote.authenticate=true -Dcom.sun.management.jmxremote.ssl=false -Djavax.management.builder.initial=org.jboss.system.server.jmx.MBeanServerBuilderImpl -Dcom.sun.management.jmxremote.password.file=/NotBackedUp/jon/eap5/jmxremote.password

Inventoried the JBossAS instance and got a red JBossAS JVM child server under the
EAP server.
Navigated to red resource's inventory tab. There is no yellow error box
saying the plugin config is bad.
Please refer the attached screenshot.
Comment 6 Sunil Kondkar 2010-10-27 07:47:50 EDT
Created attachment 455955 [details]
Screenshot
Comment 7 John Mazzitelli 2010-10-27 08:15:49 EDT
I think the errors now should show up in the Summary tab under the "Errors" list at the bottom of that tab.

Can you confirm that the Summary tab also doesn't show any errors?
Comment 8 Sunil Kondkar 2010-10-28 06:58:49 EDT
Tested on RHQ build#517

Started EAP JBoss instance(JBoss Server 5.0.0.)

set JAVA_OPTS=%JAVA_OPTS% -Djboss.platform.mbeanserver
-Dcom.sun.management.jmxremote.port=19988
-Dcom.sun.management.jmxremote.authenticate=true
-Dcom.sun.management.jmxremote.ssl=false
-Djavax.management.builder.initial=org.jboss.system.server.jmx.MBeanServerBuilderImpl
-Dcom.sun.management.jmxremote.password.file=/NotBackedUp/jon/eap5/jmxremote.password

Inventoried the JBossAS instance and got a red JBossAS JVM child server under
the EAP server.
Navigated to red resource's 'Summary' tab. The 'Detected errors' section in summary tab also does not show any error. Please refer the attached screenshot.
Comment 9 Sunil Kondkar 2010-10-28 07:01:12 EDT
Created attachment 456216 [details]
Screenshot_Summary page

Note You need to log in before you can comment on or make changes to this bug.